org.eclipse.graphiti.mm.algorithms.styles.impl

## Class StylesFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.graphiti.mm.algorithms.styles.impl.StylesFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, StylesFactory

    public class StylesFactoryImpl
    extends org.eclipse.emf.ecore.impl.EFactoryImpl
    implements StylesFactory

An implementation of the model Factory.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.mm.algorithms.styles.StylesFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
Constructor and Description
`StylesFactoryImpl()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLocationTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertOrientationToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnderlineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AdaptedGradientColoredAreas` `createAdaptedGradientColoredAreas()`
`Color` `createColor()`
`Font` `createFont()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GradientColoredArea` `createGradientColoredArea()`
`GradientColoredAreas` `createGradientColoredAreas()`
`GradientColoredLocation` `createGradientColoredLocation()`
`LineStyle` `createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LocationType` `createLocationTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Orientation` `createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Point` `createPoint()`
`PrecisionPoint` `createPrecisionPoint()`
`RenderingStyle` `createRenderingStyle()`
`Style` `createStyle()`
`TextStyle` `createTextStyle()`
`TextStyleRegion` `createTextStyleRegion()`
`UnderlineStyle` `createUnderlineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`static StylesPackage` `getPackage()` Deprecated.
`StylesPackage` `getStylesPackage()`
`static StylesFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Constructor Detail

#### StylesFactoryImpl

    public StylesFactoryImpl()

Creates an instance of the factory.

### Method Detail

#### init

    public static StylesFactory init()

Creates the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createRenderingStyle

    public RenderingStyle createRenderingStyle()

Specified by:
  `createRenderingStyle` in interface `StylesFactory`
Returns:
  a new object of class 'Rendering Style'.

#### createStyle

    public Style createStyle()

Specified by:
  `createStyle` in interface `StylesFactory`
Returns:
  a new object of class 'Style'.

#### createGradientColoredLocation

    public GradientColoredLocation createGradientColoredLocation()

Specified by:
  `createGradientColoredLocation` in interface `StylesFactory`
Returns:
  a new object of class 'Gradient Colored Location'.

#### createGradientColoredArea

    public GradientColoredArea createGradientColoredArea()

Specified by:
  `createGradientColoredArea` in interface `StylesFactory`
Returns:
  a new object of class 'Gradient Colored Area'.

#### createGradientColoredAreas

    public GradientColoredAreas createGradientColoredAreas()

Specified by:
  `createGradientColoredAreas` in interface `StylesFactory`
Returns:
  a new object of class 'Gradient Colored Areas'.

#### createAdaptedGradientColoredAreas

    public AdaptedGradientColoredAreas createAdaptedGradientColoredAreas()

Specified by:
  `createAdaptedGradientColoredAreas` in interface `StylesFactory`
Returns:
  a new object of class 'Adapted Gradient Colored Areas'.

#### createFont

    public Font createFont()

Specified by:
  `createFont` in interface `StylesFactory`
Returns:
  a new object of class 'Font'.

#### createPoint

    public Point createPoint()

Specified by:
  `createPoint` in interface `StylesFactory`
Returns:
  a new object of class 'Point'.

#### createColor

    public Color createColor()

Specified by:
  `createColor` in interface `StylesFactory`
Returns:
  a new object of class 'Color'.

#### createPrecisionPoint

    public PrecisionPoint createPrecisionPoint()

Specified by:
  `createPrecisionPoint` in interface `StylesFactory`
Returns:
  a new object of class 'Precision Point'.

#### createTextStyle

    public TextStyle createTextStyle()

Specified by:
  `createTextStyle` in interface `StylesFactory`
Returns:
  a new object of class 'Text Style'.

#### createTextStyleRegion

    public TextStyleRegion createTextStyleRegion()

Specified by:
  `createTextStyleRegion` in interface `StylesFactory`
Returns:
  a new object of class 'Text Style Region'.

#### createLineStyleFromString

    public LineStyle createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

#### convertLineStyleToString

    public java.lang.String convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

#### createOrientationFromString

    public Orientation createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

#### convertOrientationToString

    public java.lang.String convertOrientationToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

#### createLocationTypeFromString

    public LocationType createLocationTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

#### convertLocationTypeToString

    public java.lang.String convertLocationTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

#### createUnderlineStyleFromString

    public UnderlineStyle createUnderlineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

#### convertUnderlineStyleToString

    public java.lang.String convertUnderlineStyleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

#### getStylesPackage

    public StylesPackage getStylesPackage()

Specified by:
  `getStylesPackage` in interface `StylesFactory`
Returns:
  the package supported by this factory.

#### getPackage

    @Deprecated
    public static StylesPackage getPackage()

Deprecated.